Package: org.codehaus.groovy.transform

## [Java] Annotation Type GroovyASTTransformationClass

- org.codehaus.groovy.transform.GroovyASTTransformationClass

- This is an annotation on some item that indicates that an associated transform classes should be executed. As of Groovy 1.6 the only valid target is the annotation type. Each of the class names in the value must be annotated with GroovyASTTransformation. It is a compile time error to specify a GroovyASTTransformationClass that is not accessible at compile time. It need not be available at runtime.

  Authors:
    Danno Ferrin (shemnon)
    Roshan Dawrani (roshandawrani)

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `Class[]` | `classes` @default {}
    `String[]` | `value` @default {}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Element Detail

    - #### public Class[] classes

      @default {}

    - #### public String[] value

      @default {}